using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace TimeControlReportEnhancements.Models
{
    public class TimeControlGrid
    {
        [Editable(false)]
        public int EmpNumber { get; set; }

        [UIHint("EmployeeName")]
        public Employee EmpName { get; set; }

        [UIHint("DepartmentNames")]
        public Department Dept { get; set; }

        [UIHint("ProjectName")]
        public Project ProjectName { get; set; }

        [UIHint("ChargeCodeDesc")]
        public ChargeCode ChargeDesc { get; set; }

        [UIHint("ProjectCode")]
        public Project ProjectCode { get; set; }

        [UIHint("CostCenter")]
        public CostCenter CostCenter { get; set; }
        public int Jan { get; set; }
        public int Feb { get; set; }
        public int Mar { get; set; }
        public int Apr { get; set; }
        public int May { get; set; }
        public int Jun { get; set; }
        public int Jul { get; set; }
        public int Aug { get; set; }
        public int Sep { get; set; }
        public int Oct { get; set; }
        public int Nov { get; set; }
        public int Dec { get; set; }
        public int HoursYTD { get; set; }
    }
    
}